// jest.config.js
module.exports = {
	testEnvironment: "node",
	verbose: true,
	coveragePathIgnorePatterns: [
		"/node_modules/",
		"/__tests__/setup/",
		"/src/config/", // DB, Passport, Redis configs
		"/config/", // Logger config
	],
	clearMocks: true,
	coverageDirectory: "coverage",
	collectCoverage: true,
	collectCoverageFrom: [
		"src/**/*.js",
		"!server.js",
		"!src/app.js", // If you create an app.js
		"!src/config/database.js", // Usually not directly tested
		"!src/config/passport.js", // Tested via auth integration tests
		"!src/config/redis.js", // Tested via rate limiter integration tests
		"!src/services/notification.js", // External, consider mocking if tested
	],
	setupFilesAfterEnv: ["./__tests__/setup/jest.setup.js"],
	// Stop tests after first failure if desired for faster feedback during dev
	// bail: 1,
	// Force exit after tests are complete if you have open handles (use with caution)
	// forceExit: true, // Usually indicates something isn't being torn down correctly
};
